#
# spec file for package python-jupyter_widgetsnbextension
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         oldpython python
Name:           python-jupyter_widgetsnbextension
Version:        3.2.1
Release:        bp154.1.132
Summary:        IPython HTML widgets for Jupyter
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/jupyter-widgets/ipywidgets/tree/master/widgetsnbextension
Source:         https://files.pythonhosted.org/packages/py2.py3/w/widgetsnbextension/widgetsnbextension-%{version}-py2.py3-none-any.whl
# This package is created from inside the ipywidgets github project at the same time, so use its license.
Source10:       https://raw.githubusercontent.com/jupyter-widgets/ipywidgets/%%40jupyter-widgets/notebook-manager%%40%{version}/COPYING.md
Source11:       https://raw.githubusercontent.com/jupyter-widgets/ipywidgets/%%40jupyter-widgets/notebook-manager%%40%{version}/LICENSE
BuildRequires:  %{python_module certifi}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module jupyter_notebook >= 4.4.1}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-certifi
Requires:       python-jupyter_notebook >= 4.4.1
%ifpython2
Requires:       python3-jupyter_widgetsnbextension
%endif
%ifpython3
Provides:       %{oldpython}-jupyter_widgetsnbextension-nbextension = %{version}
Obsoletes:      %{oldpython}-jupyter_widgetsnbextension-nbextension < %{version}
%endif
BuildArch:      noarch
%python_subpackages

%description
Interactive HTML widgets for Jupyter notebooks.

Requires the corresponding package for your kernel. i.e. Python users
would also install `ipywidgets`. Refer to that package's
documentation for usage instructions.

%prep
%setup -c -T
cp %{SOURCE10} .
cp %{SOURCE11} .

%build
# not needed

%install
%python_expand pip%{$python_bin_suffix} install --root=%{buildroot} %{SOURCE0}

if [ "$(dirname %{_prefix}/etc/jupyter)" != "$(dirname %{_sysconfdir}/jupyter)" ]; then
mkdir -p %{buildroot}%{_sysconfdir}
mv %{buildroot}%{_prefix}/etc/jupyter %{buildroot}%{_sysconfdir}/jupyter
rm -d %{buildroot}%{_prefix}/etc
fi

%python_expand %fdupes %{buildroot}%{$python_sitelib}
%{fdupes %{buildroot}%{_datadir}/jupyter/ %{buildroot}%{python3_sitelib}}

%files %{python_files}
%defattr(-,root,root,-)
%doc COPYING.md LICENSE
%{python_sitelib}/widgetsnbextension/
%{python_sitelib}/widgetsnbextension-%{version}.dist-info
%python3_only %{_datadir}/jupyter/nbextensions/jupyter-js-widgets/
%python3_only %config %{_sysconfdir}/jupyter/nbconfig/notebook.d/widgetsnbextension.json

%changelog
* Thu Apr 19 2018 toddrme2178@gmail.com
- Update to version 3.2.1
  * A new `FloatLogSlider` widget is a slider with a log scale, suitable for exploring a wide range of magnitudes.
  * `link` and `dlink` are now exported from ipywidgets for convenience, so that you can import them directly from ipywidgets instead of needing to import them from traitlets. ([#1923](https://github.com/jupyter-widgets/ipywidgets/pull/1923))
  * A new option `manual_name` has been added to `interact_manual()` to change the name of the update button, for example `interact_manual(manual_name='Update')`. ([#1924](https://github.com/jupyter-widgets/ipywidgets/pull/1923))
  * The Output widget now has a `.capture()` method, which returns a decorator to capture the output of a function.
  * The Output widget has much more comprehensive documentation in its own section. ([#2020](https://github.com/jupyter-widgets/ipywidgets/pull/2020))
  * Installing `widgetsnbextension` now automatically enables the nbextension in Jupyter Notebook 5.3 or later. ([#1911](https://github.com/jupyter-widgets/ipywidgets/pull/1911))
  * The default rendering of a widget if widgets are not installed is now a short description of the widget in text instead of a much longer HTML message. ([#2007](https://github.com/jupyter-widgets/ipywidgets/pull/2007))
  * The JavaScript base widget manager class now has a `resolveUrl` method to resolve a URL relative to the current notebook location. ([#1993](https://github.com/jupyter-widgets/ipywidgets/pull/1993))
  * The html manager now exposes a way to specify which JavaScript file is fetched for a package and the loader used to fetch the library. ([#1995](https://github.com/jupyter-widgets/ipywidgets/pull/1995), [#1998](https://github.com/jupyter-widgets/ipywidgets/pull/1998))
  * The `@jupyter-widgets/controls` widget specification version was bumped to `1.2.0`. Changes include the FloatLogSlider widget and more specific documentation about array element types. ([#2017](https://github.com/jupyter-widgets/ipywidgets/pull/2017))
* Mon Mar 19 2018 toddrme2178@gmail.com
- Re-remove bashisms
* Tue Mar 13 2018 toddrme2178@gmail.com
- Switch to simpler and more reliable wheels
* Sun Mar  4 2018 jengelh@inai.de
- Avoid bashisms in scripts.
* Mon Feb 26 2018 toddrme2178@gmail.com
- Update to version 3.1.4
  * Bugfix release
* Thu Feb 15 2018 toddrme2178@gmail.com
- Update to version 3.1.3
  * Bugfix release
* Tue Feb 13 2018 toddrme2178@gmail.com
- update url
* Wed Jan  3 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 3.1.0:
  * No changelog
* Wed Nov 22 2017 arun@gmx.de
- update to version 3.0.8:
  * No changelog
* Tue Nov 14 2017 arun@gmx.de
- update to version 3.0.7:
  * No changelog
* Thu Oct 26 2017 toddrme2178@gmail.com
- Update to version 3.0.6
  * No changelog
* Wed Sep 20 2017 toddrme2178@gmail.com
- Fix license download urls
* Tue Sep 19 2017 toddrme2178@gmail.com
- Update to version 3.0.3
  * No changelog
* Thu Apr 27 2017 toddrme2178@gmail.com
- Split python-independent nbextension directory into subpackage.
* Wed Apr 26 2017 toddrme2178@gmail.com
- Initial version
